| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/frustum.h File Reference

General frustum. More...

`#include "csextern.h"`
`#include "cstypes.h"`
`#include "csgeom/vector3.h"`

Go to the source code of this file.

## Classes
struct | csClipInfo
| Structure for use with ClipToPlane. More...
class | csFrustum
| A general frustum. More...
## Polygon-to-Frustum relations
Return values for csFrustum::Classify. The routine makes a difference whenever a polygon is fully outside the frustum, fully inside, fully covers the frustum or is partly inside, partly outside.
enum | { CS_FRUST_OUTSIDE = 0, CS_FRUST_INSIDE = 1, CS_FRUST_COVERED = 2, CS_FRUST_PARTIAL = 3 }
## Enumerations
enum | csClipType

## Detailed Description

General frustum.

Definition in file frustum.h.